package lingtao.net.Factory;

public class PricingStrategyFactory {
    public static PricingStrategy getStrategy(String proType) {
        switch (proType) {
            case "0":
                return new StickerPricingStrategy();
            // 其他产品类型对应的策略
            case "金属标":
                return new MetalTargetStrategy();
            // 其他产品类型对应的策略
            case "卡片少数量":
                return new CardPricingStrategy();
            case "17":
                return new PosterPricingStrategy();
            case "帆布":
                return new CanvasPricingStrategy();
            case "班旗":
                return new ClassFlagPricingStrategy();
            case "挂布":
                return new DossalPricingStrategy();
            case "手拉旗":
                return new HandFlagPricingStrategy();
            // 其他产品类型对应的策略
            default:
                return null;
        }
    }


}
